function _extends() { _extends = Object.assign ? Object.assign.bind() : function (target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i]; for (var key in source) { if (Object.prototype.hasOwnProperty.call(source, key)) { target[key] = source[key]; } } } return target; }; return _extends.apply(this, arguments); }

import React from "react";
import Yearview from "../Yearview";
import componentGroups from "../../../../docs-utils/componentGroups";
import componentCategories from "../../../../docs-utils/componentCategories";
export default class Yearview__default extends React.Component {
  constructor(props) {
    super(props);
    this.state = {
      year: 2021,
      month: 7
    };
    this.setYear = this.setYear.bind(this);
    this.setMonth = this.setMonth.bind(this);
  }

  setYear(year) {
    this.setState({
      year: year
    });
  }

  setMonth(month) {
    this.setState({
      month: month
    });
  }

  render() {
    return /*#__PURE__*/React.createElement(Yearview, _extends({
      viewedYear: this.state.year,
      viewedMonth: this.state.month,
      onSelectYear: this.setYear,
      onSelectMonth: this.setMonth
    }, this.props));
  }

}
Yearview__default.docs = {
  componentGroup: componentGroups.Components,
  folderName: componentCategories.UCL
};
Yearview__default.defaultProps = {
  monthNames: ["ஜனவரி", "பிப்ரவரி", "மார்ச்", "ஏப்ரல்", "மே", "ஜூன்", "ஜூலை", "ஆகஸ்ட்", "செப்டம்பர்", "அக்டோபர்", "நவம்பர்", "டிசம்பர்"],
  monthNamesShort: ["ஜன", "பிப்", "மார்", "ஏப்", "மே", "ஜூன்", "ஜூலை", "ஆக", "செப்", "அக்", "நவ", "டிச"],
  isMonthOpen: true,
  dataId: "dateContainer"
};